package com.palmnest.service.estateserve.airconditioner;

import com.palmnest.application.bean.AppResultDto;
import com.palmnest.application.bean.Page;
import com.palmnest.application.dto.input.AirRuleInputDto;
import com.palmnest.application.dto.output.AirRuleOutDto;
import com.palmnest.model.airconditioner.AirRule;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

public interface AirRuleService {


	/**
	 * 增加规则
	 */
	public AppResultDto addRole(AirRuleInputDto dto, HttpServletRequest request);


	public Page findPageBy(Map<String, Object> params, int pageSize, int pageNo);

	public AirRuleOutDto findById(Long id);

	public AirRuleOutDto convert(AirRule airRule) throws Exception;

	public AppResultDto enableOrDisable(HttpServletRequest request);

	public AppResultDto del(HttpServletRequest request);

	/**
	 * @param applicationType 应用模块(1预定会议室\2空调加时
	 * @param dataType        日期类型(1工作日\2休息日3节假日
	 * @param startTime       开始时间
	 * @param endTime         结束时间
	 */
	public List<AirRule> getAirRule(Integer organizationId, Integer applicationType, Integer meetingOrAirAddTime, Integer dataType, String startTime, String endTime);

}
